#include "acre.h"

int
main (void)
{
    int i;

    cairo_t *cr;
    cairo_surface_t *surface;

    acre_t *acre;
    acre_data_t *data;

    surface = cairo_image_surface_create (CAIRO_FORMAT_ARGB32, 800, 600);
    cr = cairo_create (surface);

    acre = acre_create ();
    acre_set_title (acre, "Acre Test Plot");
    acre_set_x_axis_label (acre, "X axis");
    acre_set_y_axis_label (acre, "Y axis");

    data = acre_data_create ();

    acre_data_set_name (data, "Acre test data");

    for (i = 0; i < 100; i++)
	acre_data_add_point_2d (data, i, 100 - (i/4.0)*(i/4.0));

    acre_add_data (acre, data);

    acre_draw (acre, cr, 800, 600);

    acre_destroy (acre);

    cairo_destroy (cr);

    cairo_surface_write_to_png (surface, "acre-test.png");

    cairo_surface_destroy (surface);

    return 0;
}
